Skip to navigation

Get AaMonomer by ID

Beta
Get a single AaMonomer by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

aa_monomer_idstringRequired
ID of the AaMonomer.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
attachmentPointslist of enumsOptional
The capping groups present at each attachment point where the monomer bonds to other monomers.
Allowed values:
calculatedMolecularWeightdoubleOptional
The molecular weight of the monomer with capping groups removed, computed using the average atomic weights of each element weighted by natural isotopic frequency.
canonicalSmilesstringOptional
The SMILES representation of the chemical structure after being standardized.
createdAtstringOptional
creatorobject or nullOptional
customMolecularWeightdouble or nullOptional
Optional molecular weight value that the user can provide to override the calculated value.
exactMolecularWeightdoubleOptional

The exact (monoisotopic) molecular weight of the monomer with capping groups removed, computed using the atomic weight of the most frequent isotope of each element.

idstringOptional
isNaturalbooleanOptional

Whether this monomer represents a natural (unmodified) amino acid, as opposed to a modified or synthetic variant.

modifiedAtstringOptional
molfilestringOptional
The molfile representation of the chemical structure.
namestringOptional
naturalAnalogenumOptional

The standard amino acid single-letter code that this monomer is an analog of.

originalSmilesstring or nullOptional
The SMILES string that was originally provided upon creation. Null if the user did not originally provide SMILES.
symbolstringOptional

User-defined identifier of the monomer, unique per tenant.

Errors

400
Aa Monomer Get Request Bad Request Error
403
Aa Monomer Get Request Forbidden Error
404
Aa Monomer Get Request Not Found Error
429
Aa Monomer Get Request Too Many Requests Error
500
Aa Monomer Get Request Internal Server Error